import { Pipe, PipeTransform } from '@angular/core';

@Pipe({ name: 'productAttributeLine' })
export class ProductAttributeLinePipe implements PipeTransform {
    transform(attribute_line_ids: Array<any>, attribute_lines: Array<any>) {
        let lines = attribute_lines.filter(item => {
            return attribute_line_ids.indexOf(item.remote_id) > -1;
        });

        return lines; 
    }
}